python3-voluptuous-0.11.5-1.2.noarch.rpm


Advertisement

Description

python3-voluptuous - A Python data validation library

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename python3-voluptuous-0.11.5-1.2.noarch.rpm
Package name python3-voluptuous
Package version 0.11.5
Package release 1.2
Package architecture noarch
Package type rpm
Category Development/Languages/Python
Homepage http://github.com/alecthomas/voluptuous
License BSD-3-Clause
Maintainer -
Download size 62.92 KB
Installed size 283.22 KB
Voluptuous is a Python data validation library. It validates data
coming into Python as JSON, YAML, etc.

Alternatives

Package Version Architecture Repository
python3-voluptuous - - -

Requires

Name Value
python(abi) = 3.7

Provides

Name Value
python3-voluptuous = 0.11.5-1.2

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python3-voluptuous-0.11.5-1.2.noarch.rpm
Source Package python-voluptuous-0.11.5-1.2.src.rpm

Install Howto

Install python3-voluptuous rpm package:

# zypper install python3-voluptuous

Files

Path
/usr/lib/python3.7/site-packages/voluptuous/__init__.py
/usr/lib/python3.7/site-packages/voluptuous/error.py
/usr/lib/python3.7/site-packages/voluptuous/humanize.py
/usr/lib/python3.7/site-packages/voluptuous/schema_builder.py
/usr/lib/python3.7/site-packages/voluptuous/util.py
/usr/lib/python3.7/site-packages/voluptuous/validators.py
/usr/lib/python3.7/site-packages/voluptuous-0.11.5-py3.7.egg-info/PKG-INFO
/usr/lib/python3.7/site-packages/voluptuous-0.11.5-py3.7.egg-info/SOURCES.txt
/usr/lib/python3.7/site-packages/voluptuous-0.11.5-py3.7.egg-info/dependency_links.txt
/usr/lib/python3.7/site-packages/voluptuous-0.11.5-py3.7.egg-info/top_level.txt
/usr/lib/python3.7/site-packages/voluptuous/__pycache__/__init__.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/voluptuous/__pycache__/__init__.cpython-37.pyc
/usr/lib/python3.7/site-packages/voluptuous/__pycache__/error.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/voluptuous/__pycache__/error.cpython-37.pyc
/usr/lib/python3.7/site-packages/voluptuous/__pycache__/humanize.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/voluptuous/__pycache__/humanize.cpython-37.pyc
/usr/lib/python3.7/site-packages/voluptuous/__pycache__/schema_builder.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/voluptuous/__pycache__/schema_builder.cpython-37.pyc
/usr/lib/python3.7/site-packages/voluptuous/__pycache__/util.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/voluptuous/__pycache__/util.cpython-37.pyc
/usr/lib/python3.7/site-packages/voluptuous/__pycache__/validators.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/voluptuous/__pycache__/validators.cpython-37.pyc
/usr/share/doc/packages/python3-voluptuous/README.md
/usr/share/licenses/python3-voluptuous/COPYING

Changelog

2018-08-08 - jengelh@inai.de
- Trim repeated name in summary (rpmlint). Trim filler wording
from description.
2018-08-07 - dmueller@suse.com
- update to 0.11.5:
* Fixed issue with opening README file in setup.py.
* Support Python 3.7.
* #343: Drop support for Python 3.3.
* #342: Add support for sets and frozensets.
* #332: Fix Python 3.x compatibility for setup.py when pypandoc is installed.
* #348: Include path in AnyInvalid errors.
* #351: Fix Date behaviour when a custom format is specified.
2018-08-07 - tchvatal@suse.com
- Sort out a bit with spec-cleaner
2018-03-23 - tbechtold@suse.com
- update to 0.11.1:
- Support Python 3.6.
- Drop support for Python 2.6, 3.1 and 3.2.
- Allow to use nested schema and allow any validator to be compiled.
- Default values MUST now pass validation just as any regular value.
This is a backward incompatible change if a schema uses default values
that don't pass validation against the specified schema.
- Modify `__lt__` in Marker class to allow comparison with non Marker
objects, such as str and int.
- Add description field to `Marker` instances.
- Add `Schema.infer` method for basic schema inference.
- Add `SomeOf` validator.
- Treat Python 2 old-style classes like types when validating.
- Make `IsDir()`, `IsFile()` and `PathExists()` consistent between
different Python versions.
- Use absolute imports to avoid import conflicts.
- Fix `Coerce` validator to catch `decimal.InvalidOperation`.
- Make `Schema([])` usage consistent with `Schema({})`.
- Allow partial validation when using validate decorator.
- Make `Schema.__eq__` deterministic.
- Replace implementation of `Maybe(s)` with `Any(None, s)` to allow
it to be compiled.

See Also

Package Description
python3-vtk-8.2.0-3.1.i586.rpm Python bindings for VTK
python3-vtk-8.2.0-3.1.x86_64.rpm Python bindings for VTK
python3-vtk-openmpi-8.2.0-3.1.i586.rpm Python bindings for VTK
python3-vtk-openmpi-8.2.0-3.1.x86_64.rpm Python bindings for VTK
python3-vtk-openmpi2-8.2.0-3.1.i586.rpm Python bindings for VTK
python3-vtk-openmpi2-8.2.0-3.1.x86_64.rpm Python bindings for VTK
python3-vulkan-1.1.99.0-1.1.noarch.rpm Python bindings for the Vulkan API
python3-vulture-1.0-1.1.noarch.rpm Python module for finding dead code
python3-w3lib-1.20.0-1.1.noarch.rpm Library of Web-Related Functions
python3-wadllib-1.3.3-1.2.noarch.rpm Navigate HTTP resources using WADL files as guides
python3-waitress-1.2.1-2.1.noarch.rpm Waitress WSGI server
python3-waitress-doc-1.2.1-2.1.noarch.rpm Documentation for python3-waitress
python3-wakeonlan-1.1.6-1.1.noarch.rpm A small python module for wake on lan
python3-warlock-1.3.0-2.2.noarch.rpm Python object model built on top of JSON schema
python3-watchdog-0.9.0-1.2.noarch.rpm Filesystem events monitoring
Advertisement
Advertisement